summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2019-05-30 10:42:11 +0200
committer Willy Sudiarto Raharjo2019-05-30 10:42:11 +0200
commit2379cbeb3752b22413cf616c87cc87b47e9f4e16 (patch)
tree128dfddcea4d61e238ade7e3fd108500341c63d9
parentd55b12a95dab2e76dc36c4523dc8f71240f1a9e6 (diff)
downloadslackbuilds-2379cbeb3752b22413cf616c87cc87b47e9f4e16.tar.gz
games/VASSAL: Added (engine for board and card games).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/VASSAL/README3
-rw-r--r--games/VASSAL/VASSAL3
-rw-r--r--games/VASSAL/VASSAL.SlackBuild96
-rw-r--r--games/VASSAL/VASSAL.desktop9
-rw-r--r--games/VASSAL/VASSAL.info10
-rw-r--r--games/VASSAL/VASSAL.svg111
-rw-r--r--games/VASSAL/doinst.sh3
-rw-r--r--games/VASSAL/slack-desc19
8 files changed, 254 insertions, 0 deletions
diff --git a/games/VASSAL/README b/games/VASSAL/README
new file mode 100644
index 0000000000..1a71ca5c1e
--- /dev/null
+++ b/games/VASSAL/README
@@ -0,0 +1,3 @@
+VASSAL is a game engine for building and playing online adaptations of board
+games and card games. Play live on the Internet or by email. VASSAL runs on all
+platforms, and is free, open-source software.
diff --git a/games/VASSAL/VASSAL b/games/VASSAL/VASSAL
new file mode 100644
index 0000000000..2f833e3399
--- /dev/null
+++ b/games/VASSAL/VASSAL
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/games/VASSAL
+./VASSAL.sh
diff --git a/games/VASSAL/VASSAL.SlackBuild b/games/VASSAL/VASSAL.SlackBuild
new file mode 100644
index 0000000000..8fabf966a7
--- /dev/null
+++ b/games/VASSAL/VASSAL.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for VASSAL
+
+# Copyright 2019 Benjamin Trigona-Harant <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=VASSAL
+VERSION=${VERSION:-3.2.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-linux.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/games/$PRGNAM
+cp -rf lib $PKG/usr/share/games/$PRGNAM
+
+install -D -m0755 $PRGNAM.sh $PKG/usr/share/games/$PRGNAM/$PRGNAM.sh
+install -D -m0755 $CWD/VASSAL $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+install -m644 -D $CWD/$PRGNAM.svg $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE README doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+ln -s /usr/doc/$PRGNAM-$VERSION/doc $PKG/usr/share/games/$PRGNAM/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/VASSAL/VASSAL.desktop b/games/VASSAL/VASSAL.desktop
new file mode 100644
index 0000000000..54e0241956
--- /dev/null
+++ b/games/VASSAL/VASSAL.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=VASSAL
+Comment=Engine for board and card games
+Exec=VASSAL
+Icon=VASSAL
+Terminal=false
+Type=Application
+Categories=Game
+GenericName=Board and card game engine
diff --git a/games/VASSAL/VASSAL.info b/games/VASSAL/VASSAL.info
new file mode 100644
index 0000000000..985ec47196
--- /dev/null
+++ b/games/VASSAL/VASSAL.info
@@ -0,0 +1,10 @@
+PRGNAM="VASSAL"
+VERSION="3.2.17"
+HOMEPAGE="http://www.vassalengine.org/"
+DOWNLOAD="https://downloads.sourceforge.net/vassalengine/VASSAL-3.2.17-linux.tar.bz2"
+MD5SUM="dc43c18cafcf36cfbc1a0d9eb733d8d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/games/VASSAL/VASSAL.svg b/games/VASSAL/VASSAL.svg
new file mode 100644
index 0000000000..e2587ced2b
--- /dev/null
+++ b/games/VASSAL/VASSAL.svg
@@ -0,0 +1,111 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+ xmlns:svg="http://www.w3.org/2000/svg"
+ xmlns="http://www.w3.org/2000/svg"
+ version="1.0"
+ width="48"
+ height="48"
+ viewBox="0 0 151.127 180.225"
+ id="Layer_1"
+ xml:space="preserve"
+ style="overflow:visible"><defs
+ id="defs2572" />
+<g
+ id="Layer_1_2_">
+</g>
+<g
+ id="Layer_2">
+ <g
+ id="g2538">
+
+ <linearGradient
+ x1="69.4375"
+ y1="171.4016"
+ x2="133.43671"
+ y2="66.069901"
+ id="XMLID_4_"
+ gradientUnits="userSpaceOnUse"
+ gradientTransform="matrix(1,0,0,-1,0,178.2251)">
+ <stop
+ id="stop2541"
+ style="stop-color:#ddedb6;stop-opacity:1"
+ offset="0" />
+ <stop
+ id="stop2543"
+ style="stop-color:#1b2600;stop-opacity:1"
+ offset="1" />
+ </linearGradient>
+ <polygon
+ points="85.97,105.295 64.872,68.752 85.97,32.212 128.162,32.212 149.259,68.752 128.162,105.295 85.97,105.295 "
+ id="polygon2545"
+ style="fill:url(#XMLID_4_);stroke:#1b2600;stroke-width:3.23709989" />
+
+ <linearGradient
+ x1="6.8662"
+ y1="135.8284"
+ x2="68.199997"
+ y2="31.8272"
+ id="XMLID_5_"
+ gradientUnits="userSpaceOnUse"
+ gradientTransform="matrix(1,0,0,-1,0,178.2251)">
+ <stop
+ id="stop2548"
+ style="stop-color:#ddedb6;stop-opacity:1"
+ offset="0" />
+ <stop
+ id="stop2550"
+ style="stop-color:#1b2600;stop-opacity:1"
+ offset="1" />
+ </linearGradient>
+ <polygon
+ points="22.966,142.011 1.868,105.469 22.966,68.93 65.159,68.93 86.256,105.469 65.159,142.011 22.966,142.011 "
+ id="polygon2552"
+ style="fill:url(#XMLID_5_);stroke:#1b2600;stroke-width:3.23709989" />
+
+ <linearGradient
+ x1="73.212898"
+ y1="96.173103"
+ x2="131.87939"
+ y2="-7.8260002"
+ id="XMLID_6_"
+ gradientUnits="userSpaceOnUse"
+ gradientTransform="matrix(1,0,0,-1,0,178.2251)">
+ <stop
+ id="stop2555"
+ style="stop-color:#ddedb6;stop-opacity:1"
+ offset="0" />
+ <stop
+ id="stop2557"
+ style="stop-color:#1b2600;stop-opacity:1"
+ offset="1" />
+ </linearGradient>
+ <polygon
+ points="85.97,178.606 64.872,142.065 85.97,105.524 128.162,105.524 149.259,142.065 128.162,178.606 85.97,178.606 "
+ id="polygon2559"
+ style="fill:url(#XMLID_6_);stroke:#1b2600;stroke-width:3.23709989" />
+ </g>
+</g>
+<g
+ id="Layer_4">
+</g>
+<g
+ id="Layer_3">
+ <path
+ d="M 32.156,47.938 L 92.724,152.99 L 86.046,159.932 L 88.566,165.565 L 147.449,148.11 L 145.226,140.217 L 137.035,140.147 L 137.109,14.33 L 146.765,8.986 L 144.624,1.698 L 112.083,11.128 L 114.407,18.965 L 124.731,17.63 C 124.731,17.63 124.731,108.876 124.731,121.786 C 124.731,134.693 123.218,137.719 123.218,137.719 C 122.206,136.645 120.272,134.756 114.114,124.139 C 110.056,117.141 64.202,37.529 64.202,37.529 L 72.803,30.689 L 70.354,23.564 L 15.387,42.472 L 18.034,50.202 L 32.156,47.938 z"
+ id="path2563"
+ style="fill:#453500" />
+ <path
+ d="M 27.49,46.604 L 88.055,151.658 L 81.378,158.6 L 83.899,164.233 L 142.78,146.778 L 140.557,138.885 L 132.367,138.815 L 132.442,13.518 L 143.546,7.847 L 141.235,0 L 107.417,9.796 L 109.741,17.633 L 120.065,16.298 C 120.065,16.298 120.065,107.544 120.065,120.454 C 120.065,133.361 118.553,136.386 118.553,136.386 C 117.54,135.312 115.606,133.423 109.449,122.806 C 105.391,115.808 59.621,36.407 59.621,36.407 L 68.883,29.777 L 66.237,22.049 L 10.72,41.139 L 13.367,48.869 L 27.49,46.604 z"
+ id="path2565"
+ style="fill:#ffcc00" />
+ <polygon
+ points="107.362,139.497 96.334,146.543 37.127,44.809 43.028,41.464 50.688,40.278 107.362,139.497 "
+ id="polygon2567"
+ style="fill:#ecb500" />
+ <polygon
+ points="112.569,141.029 101.541,148.075 42.334,46.341 48.235,42.996 55.896,41.811 112.569,141.029 "
+ id="polygon2569"
+ style="fill:#ffcc00" />
+</g>
+</svg> \ No newline at end of file
diff --git a/games/VASSAL/doinst.sh b/games/VASSAL/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/VASSAL/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/VASSAL/slack-desc b/games/VASSAL/slack-desc
new file mode 100644
index 0000000000..8454296b8d
--- /dev/null
+++ b/games/VASSAL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+VASSAL: VASSAL (engine for board and card games)
+VASSAL:
+VASSAL: VASSAL is a game engine for building and playing online adaptations
+VASSAL: of board games and card games. Play live on the Internet or by email.
+VASSAL: VASSAL runs on all platforms, and is free, open-source software.
+VASSAL:
+VASSAL:
+VASSAL:
+VASSAL:
+VASSAL:
+VASSAL: